package expression

import (
	"git.akyoto.dev/cli/q/src/token"
)

// NewList generates a list of expressions from comma separated parameters.
func NewList(tokens token.List) []*Expression {
	var list []*Expression

	tokens.Split(func(parameter token.List) error {
		expression := Parse(parameter)
		list = append(list, expression)
		return nil
	})

	return list
}
